Method: networks.cdnConfigs.batchCreate

Batch creates CdnConfig objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/cdnConfigs:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where CdnConfigs will be created. Format: networks/{networkCode} The parent field in the CreateCdnConfigRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateCdnConfigRequest)
    }
  ]
}
Fields
requests[]

object (CreateCdnConfigRequest)

Required. The CdnConfig objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for cdnConfigs.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "cdnConfigs": [
    {
      object (CdnConfig)
    }
  ]
}
Fields
cdnConfigs[]

object (CdnConfig)

The CdnConfig objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateCdnConfigRequest

Request object for cdnConfigs.create method.

JSON representation
{
  "parent": string,
  "cdnConfig": {
    object (CdnConfig)
  }
}
Fields
parent

string

Required. The parent resource where this CdnConfig will be created. Format: networks/{networkCode}

cdnConfig

object (CdnConfig)

Required. The CdnConfig to create.